Bug 476603 - Thunderbird crash 3~4 mins later after enable FIPS
Thunderbird crash 3~4 mins later after enable FIPS
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
10
All Linux
high Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 21:22 EST by Yolkfull Chow
Modified: 2018-04-11 07:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:18:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gecko crash report (563.48 KB, text/plain)
2008-12-15 21:22 EST, Yolkfull Chow
no flags Details
backtrace from TB crash (14.60 KB, text/plain)
2008-12-16 21:49 EST, Yolkfull Chow
no flags Details

  None (edit)
Description Yolkfull Chow 2008-12-15 21:22:33 EST
Created attachment 327051 [details]
gecko crash report

Description of problem:
After setting a master password, and click "Enable FIPS" (doesn't work at this time, bug? ), and then click "OK" to close those window. Wait for about 3~4 minites, thunderbird will get a certificate failed from an email server,click "Accpet permanently", and buddy popup to tell that gecko crash.

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.18-1.fc10.i386
gecko-sharp2-0.13-2.fc10.i386

How reproducible:
Everytime

Steps to Reproduce:
1. go to Edit->Preferences->Advanced->Security Device, set a master password like "test" and click "Enable FIPS"
2. if not crash after 3~4 mins, try to change master password or login, or click "Enable FIPS" again
3. wait 3 ~ 4 mins for the popup certificate authorization
  
Actual results:
thunderbird crash

Expected results:
Could enable FIPS and thunderbird/gecko should not crash.

Additional info:
Relate to rhel5 bug 475745
Comment 1 Matěj Cepl 2008-12-16 12:11:29 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please install thunderbird-debuginfo (debuginfo-install is from yum-utils package).

	debuginfo-install thunderbird

Then run thunderbird with a parameter -g. That will start thunderbird running inside of gdb debugger. Then use command run and do whatever you did to make thunderbird crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Yolkfull Chow 2008-12-16 21:49:38 EST
Created attachment 327198 [details]
backtrace from TB crash

Get following messages when it crashes:
...
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb5dd9b90 (LWP 6341)]
0x02d25392 in find_objects_by_template (token=0x0, sessionOpt=0x0, obj_template=0xb5dd8d2c, otsize=4, maximumOpt=1, statusOpt=0x0)
    at devtoken.c:447
447	    if (token->cache && 
Current language:  auto; currently c
...

Please see attachment for details.
Comment 3 Martin Stransky 2008-12-17 04:12:46 EST
It comes from nss...
Comment 4 Bug Zapper 2009-11-18 02:49:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:18:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.